Bug 281491 - New upstream version fixes bug with multiple versions
New upstream version fixes bug with multiple versions
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-setuptools (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Konstantin Ryabitsev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-06 17:41 EDT by Toshio Ernie Kuratomi
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6c7-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-28 17:24:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from upstream to solve only the reported problem (550 bytes, patch)
2007-09-06 17:41 EDT, Toshio Ernie Kuratomi
no flags Details | Diff

  None (edit)
Description Toshio Ernie Kuratomi 2007-09-06 17:41:44 EDT
Description of problem:
setuptools 0.6c6 has a problem with multiple versions of an egg that are fixed
in the 0.6c7 release.

Version-Release number of selected component (if applicable):
0.6c6 exhibits the bug.  0.6c7 does not.

How reproducible:
Everytime

Steps to Reproduce:
1. Install parallel installable python-cherrypy2-2.2.1 and python-cherrypy-3.0.2
packages that follow the new Python Egg Guidelines.
2. python
3. >>> __requires__='CherryPy>=2.0,<3.0'
4. >>> import pkg_resources
5. >>> import cherrypy
6. >>> print cherrypy.__version__
  
Actual results:
3.0.2

Expected results:
2.2.1

Additional info:
I would like to see this package upgraded in rawhide to address this as the new
Egg Guidelines are going to start exercising that portion of the code.

Alternatively, we can use this patch from upstream that fixes only this problem.
Comment 1 Toshio Ernie Kuratomi 2007-09-06 17:41:44 EDT
Created attachment 189271 [details]
Patch from upstream to solve only the reported problem
Comment 2 Fedora Update System 2007-09-17 23:16:29 EDT
python-setuptools-0.6c7-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Toshio Ernie Kuratomi 2007-09-27 19:37:54 EDT
Thanks, problem fixed.
Comment 4 Fedora Update System 2007-09-28 17:24:09 EDT
python-setuptools-0.6c7-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.